Package org.eclipse.cdt.core.dom.parser

# Class AbstractScannerExtensionConfiguration.MacroDefinition

java.lang.Object
org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration.MacroDefinition

All Implemented Interfaces:
  `IMacro`

Enclosing class:
  AbstractScannerExtensionConfiguration

protected static class AbstractScannerExtensionConfiguration.MacroDefinition extends Object implements IMacro

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getExpansion()`
Returns the expansion for this macro.
`char[]`
`getSignature()`
Return the signature of a macro, which is the name for object style macros and the name followed by the comma-separated parameters put in parenthesis.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSignature

public char[] getSignature()
Description copied from interface: `IMacro`
Return the signature of a macro, which is the name for object style macros and the name followed by the comma-separated parameters put in parenthesis. For example: 'funcStyleMacro(par1, par2)'.

Specified by:
  `getSignature` in interface `IMacro`

### getExpansion

public char[] getExpansion()
Description copied from interface: `IMacro`
Returns the expansion for this macro.

Specified by:
  `getExpansion` in interface `IMacro`